# Prioritizes which bridge-assets (xrp, btc, etc.) should be used for converting to fiat

Endpoint: POST /bridgeAssets/v1/prioritize
Version: 1.0.0
Security: Bearer

## Header parameters:

  - `X-CORRELATION-ID` (string)

## Request fields (application/json):

  - `sender_id` (string)
    A unique identifier for the customer sending the funds

  - `receiver_id` (string)
    A unique identifier for the customer receiving the funds

  - `bridge_asset_prioritization_options` (array, required)
    Describes the different bridge assets to pick from

  - `bridge_asset_prioritization_options.bridge_currency_code` (string, required)

  - `bridge_asset_prioritization_options.bridge_currency_amount` (number, required)

  - `bridge_asset_prioritization_options.destination_exchange` (string, required)

  - `bridge_asset_prioritization_options.destination_currency_code` (string, required)

  - `bridge_asset_prioritization_options.destination_currency_amount` (number, required)

  - `bridge_asset_prioritization_options.digital_asset_origination` (boolean, required)
    Whether Wallet Send will be used

## Response 200 fields (application/json):

  - `prioritized_bridge_asset_liquidation_options` (array, required)
    A sorted list prioritizing which bridge assets to use from BridgeAssetPrioritizationRequest#bridge_asset_liquidation_options. Some options may be missing if they shouldn't be used.

  - `prioritized_bridge_asset_liquidation_options.selected_index` (integer, required)
    zero-based index from the BridgeAssetPrioritizationRequest#bridge_asset_liquidation_options list

## Response 400 fields (application/json):

  - `type` (string)
    Type of problem.
    Enum: "BAD_REQUEST", "INVALID_DATES", "INVALID_VENUE_AND_OR_CURRENCY", "INVALID_LIQUIDATION_AMOUNT", "NOT_FOUND", "REFERENCE_ID_NOT_UNIQUE", "AUTH_PROBLEM", "GENERIC_CLIENT_ERROR", "GENERIC_SERVER_ERROR"

  - `title` (string, required)
    Summary of the returned problem.

  - `status` (integer, required)
    HTTP error code.

  - `detail` (string)
    Description of the returned problem.

  - `correlationId` (string)
    ID of the correlating request.

  - `timestamp` (string)
    Date and time at which the error occured.

  - `liquidationId` (string)
    Unique identifier of the liquidation.


